scala.tools.nsc.interactive.RangePositions

# Locator

#### class Locator extends (RangePositions.this)#Traverser

A locator for trees with given positions. Given a position `pos`, locator.apply returns the smallest tree that encloses `pos`.

Linear Supertypes
(RangePositions.this)#Traverser, AnyRef, Any
Known Subclasses
TypedLocator
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Locator
2. Traverser
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Locator(pos: (RangePositions.this)#Position)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from (RangePositions.this)#Locator to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): ((RangePositions.this)#Locator, B)

   Implicit information
     This member is added by an implicit conversion from (RangePositions.this)#Locator to ArrowAssoc[(RangePositions.this)#Locator] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### def apply[T <: (RangePositions.this)#Tree](tree: T): T

   Definition Classes
     Traverser

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def atOwner(owner: (RangePositions.this)#Symbol)(traverse: ⇒ Unit): Unit

    Definition Classes
      Traverser

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### var currentOwner: (RangePositions.this)#Symbol

    Attributes
      protected[scala]
    Definition Classes
      Traverser

13. #### def ensuring(cond: ((RangePositions.this)#Locator) ⇒ Boolean, msg: ⇒ Any): (RangePositions.this)#Locator

    Implicit information
      This member is added by an implicit conversion from (RangePositions.this)#Locator to Ensuring[(RangePositions.this)#Locator] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: ((RangePositions.this)#Locator) ⇒ Boolean): (RangePositions.this)#Locator

    Implicit information
      This member is added by an implicit conversion from (RangePositions.this)#Locator to Ensuring[(RangePositions.this)#Locator] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): (RangePositions.this)#Locator

    Implicit information
      This member is added by an implicit conversion from (RangePositions.this)#Locator to Ensuring[(RangePositions.this)#Locator] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): (RangePositions.this)#Locator

    Implicit information
      This member is added by an implicit conversion from (RangePositions.this)#Locator to Ensuring[(RangePositions.this)#Locator] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from (RangePositions.this)#Locator to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### def isEligible(t: (RangePositions.this)#Tree): Boolean

    Attributes
      protected

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### var last: (RangePositions.this)#Tree

26. #### def locateIn(root: (RangePositions.this)#Tree): (RangePositions.this)#Tree

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### def traverse(t: (RangePositions.this)#Tree): Unit

    Definition Classes
      Locator → Traverser

33. #### def traverseStats(stats: List[(RangePositions.this)#Tree], exprOwner: (RangePositions.this)#Symbol): Unit

    Definition Classes
      Traverser

34. #### def traverseTrees(trees: List[(RangePositions.this)#Tree]): Unit

    Definition Classes
      Traverser

35. #### def traverseTreess(treess: List[List[(RangePositions.this)#Tree]]): Unit

    Definition Classes
      Traverser

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### def →[B](y: B): ((RangePositions.this)#Locator, B)

    Implicit information
      This member is added by an implicit conversion from (RangePositions.this)#Locator to ArrowAssoc[(RangePositions.this)#Locator] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from (RangePositions.this)#Locator to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (locator: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from (RangePositions.this)#Locator to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (locator: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: (RangePositions.this)#Locator

   Implicit information
     This member is added by an implicit conversion from (RangePositions.this)#Locator to ArrowAssoc[(RangePositions.this)#Locator] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (locator: ArrowAssoc[(RangePositions.this)#Locator]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: (RangePositions.this)#Locator

   Implicit information
     This member is added by an implicit conversion from (RangePositions.this)#Locator to Ensuring[(RangePositions.this)#Locator] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (locator: Ensuring[(RangePositions.this)#Locator]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from (RangePositions.this)#Traverser

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from (RangePositions.this)#Locator to StringAdd

### Inherited by implicit conversion any2stringfmt from (RangePositions.this)#Locator to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from (RangePositions.this)#Locator to ArrowAssoc[(RangePositions.this)#Locator]

### Inherited by implicit conversion any2Ensuring from (RangePositions.this)#Locator to Ensuring[(RangePositions.this)#Locator]

### Ungrouped